<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_t"></a>- t -</h3><ul>
<li>testChannel
: <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test.html#af452e6c72861b64d278db96df48fcf2d">alexaClientSDK::afml::test::ChannelTest</a>
</li>
<li>testObserver
: <a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_playlist_parser_test.html#a400932a2ead1e6fb93195a120db958be">alexaClientSDK::playlistParser::test::PlaylistParserTest</a>
</li>
<li>timeAtIdle
: <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html#a8fdfc29dce285d717ed678ece07cd8de">alexaClientSDK::afml::Channel::State</a>
</li>
<li>timePoint
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_dynamic_data.html#ae8193fc7528bf3844d1e6cab004a4cf5">alexaClientSDK::capabilityAgents::alerts::Alert::DynamicData</a>
</li>
<li>tinyURL
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html#a31172b3088fee52b22b886c0ae8f1c2e">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState</a>
</li>
<li>TOGGLE_ACTION_DESELECTED
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a28b0c0eb254d4f1eb15a042fbfed2aa4">alexaClientSDK::sampleApp::GuiRenderer</a>
</li>
<li>TOGGLE_ACTION_SELECTED
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a7cd2a8aff5a2ebbf81f73cf56aa4a12f">alexaClientSDK::sampleApp::GuiRenderer</a>
</li>
<li>TOGGLE_NAME_LOOP
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a128eee8b335b3068d0761f506fe7cf28">alexaClientSDK::sampleApp::GuiRenderer</a>
</li>
<li>TOGGLE_NAME_REPEAT
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#abfcbd4861e56642ff506ec18b0709d11">alexaClientSDK::sampleApp::GuiRenderer</a>
</li>
<li>TOGGLE_NAME_SHUFFLE
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a455baf60f6ceee22d48bcfd370fb0f7b">alexaClientSDK::sampleApp::GuiRenderer</a>
</li>
<li>TOGGLE_NAME_THUMBSDOWN
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a5969918d03eee8ff30a4b4bb45e85c59">alexaClientSDK::sampleApp::GuiRenderer</a>
</li>
<li>TOGGLE_NAME_THUMBSUP
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a9c017d08c9e0497b6f69cdb92ee27dbc">alexaClientSDK::sampleApp::GuiRenderer</a>
</li>
<li>token
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_context_info.html#a78a15357f84ddd15b0547d40d98219df">alexaClientSDK::capabilityAgents::alerts::Alert::ContextInfo</a>
, <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_static_data.html#a7be39cf0e84fcaccae12267cc75118e8">alexaClientSDK::capabilityAgents::alerts::Alert::StaticData</a>
, <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_item_1_1_stream.html#ac698add8156bd81c1f524d4e2ef1a46a">alexaClientSDK::capabilityAgents::audioPlayer::AudioItem::Stream</a>
</li>
<li>tokenRefreshInterval
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_session_state.html#a249b0e2eb9e35192428f7ec3bf2e93a3">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterSessionState</a>
</li>
<li>trackId
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html#a8f63eff60ba55182ad7b8787abc96bf4">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState</a>
</li>
<li>trackName
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html#a2ecf648c8f0148a71740c18235eba25c">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState</a>
, <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_observable_playback_state_properties.html#a8db35450d1fe85c4e4d3301a1782f725">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::ObservablePlaybackStateProperties</a>
</li>
<li>trackNumber
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html#acfa2e7f9f61426341f4d4be3176cdf67">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState</a>
</li>
<li>trackOffset
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html#a5f5a356a7944e7b60160e6984cd1da28">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState</a>
</li>
<li>traitsName
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_in_process_s_d_s_traits.html#ac80d3b63c09d3d8d438977850e45ce9b">alexaClientSDK::avsCommon::utils::sds::InProcessSDSTraits</a>
, <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits2.html#a27c38f4c2c1721843e5a3eedcbac7b6a">alexaClientSDK::avsCommon::utils::sds::test::MinimalTraits2</a>
, <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits.html#aebdf4f8ed41281bb9b2c0103583df906">alexaClientSDK::avsCommon::utils::sds::test::MinimalTraits</a>
</li>
<li>traitsNameHash
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_buffer_layout_1_1_header.html#a3c4295fc6a4294b623ffbc3bbab28ffb">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;::BufferLayout&lt; T &gt;::Header</a>
</li>
<li>type
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html#ada35519d7fa7dfffe6b7e4635cb456ff">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState</a>
, <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface_1_1_tag_key_value_type.html#a26269eff1f1d9734aa231af955bc6679">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface::TagKeyValueType</a>
, <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#ae799359283072546789995433b8ace5c">alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry</a>
, <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_context_info.html#a8f01567def15453fffbf7647006a6dd8">alexaClientSDK::capabilityAgents::alerts::Alert::ContextInfo</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_1_1_directive_params.html#ab087e2b9c193560ce101f179f2e9903e">alexaClientSDK::integration::test::TestDirectiveHandler::DirectiveParams</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#aa609e4ee283bb9eb961058b4ae3ed7cd">alexaClientSDK::integration::test::TestExceptionEncounteredSender::ExceptionParams</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html#a9fcee0be8a517010c0b2dd44f4e00834">alexaClientSDK::integration::test::TestMessageSender::SendParams</a>
, <a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_play_item.html#a10d40da99f995133ec827c1ddbbcaee3">alexaClientSDK::playlistParser::PlayItem</a>
</li>
<li>TYPE_NAME
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alarm.html#af2312cab36f62eb4c71f930551620c78">alexaClientSDK::capabilityAgents::alerts::Alarm</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_reminder.html#a4e3a3e8d7144e0dccefb14dee21286b4">alexaClientSDK::capabilityAgents::alerts::Reminder</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_timer.html#ad1df95a8dcbf2013cc5aada67499ccc5">alexaClientSDK::capabilityAgents::alerts::Timer</a>
</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
